Subject: Re: pthread_sigmask() check is bogus when HAVE_PTHREAD is defined

From: Nali Toja <[email-masked]>
Date: Mon, 24 Oct 2011 03:30:31 +0000

Paul Eggert <[email-masked]> writes:

> Thanks for reporting that.  I think the bug is that configure.in is
> invoking AC_CHECK_LIB in such a way that LIBS is not affected.
> This would be a problem regardless of the FreeBSD issue, but
> I expect it's causing the FreeBSD issue as well.  I committed a fix
> into the trunk as bzr 106173; could you please give it a try
> and let us know how it goes?  Thanks.

Yep, 106173 fixes the issue. Both the FreeBSD port's snapshot with the
patch from the commit and emacs trunk detect pthread_sigmask() correctly.